/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { QuotaDto } from './quota-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ResourceMinimalDto } from './resource-minimal-dto';

/**
 * Represents a Data Transfer Object (DTO) containing quota information for a resource.
 * @export
 * @interface ResourceQuotaDto
 */
export interface ResourceQuotaDto {
    /**
     * 
     * @type {ResourceMinimalDto}
     * @memberof ResourceQuotaDto
     */
    'resource': ResourceMinimalDto;
    /**
     * The percentage of quota used by the resource.
     * @type {number}
     * @memberof ResourceQuotaDto
     */
    'usedPercentage'?: number | null;
    /**
     * 
     * @type {QuotaDto}
     * @memberof ResourceQuotaDto
     */
    'used'?: QuotaDto;
    /**
     * 
     * @type {QuotaDto}
     * @memberof ResourceQuotaDto
     */
    'reserved'?: QuotaDto;
}

